FreeMat

- Main Page
- Related Pages

vtkRungeKutta45

Section: Visualization Toolkit Common Classes

# Usage

This is a concrete sub-class of vtkInitialValueProblemSolver. It uses a 5th order Runge-Kutta method with stepsize control to obtain the values of a set of functions at the next time step. The stepsize is adjusted by calculating an estimated error using an embedded 4th order Runge-Kutta formula: Press, W. H. et al., 1992, Numerical Recipes in Fortran, Second Edition, Cambridge University Press Cash, J.R. and Karp, A.H. 1990, ACM Transactions on Mathematical Software, vol 16, pp 201-222

To create an instance of class vtkRungeKutta45, simply invoke its constructor as follows

      obj = vtkRungeKutta45

# Methods

The class vtkRungeKutta45 has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkRungeKutta45 class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkRungeKutta45 = obj.NewInstance ()`
- `vtkRungeKutta45 = obj.SafeDownCast (vtkObject o)`